BetterFans Link SDK — OnlyFans APIBetterFans Link SDK
API Reference

Stories

Query stories, highlights, charts, and engagement data.

Story routes let you access story items, highlights, engagement charts, and top-performing story content.

List story items

const [error, stories] = await account.request(
  "GET /stories/items",
  { query: { limit: 20 } },
)

if (!error) {
  for (const story of stories.list) {
    console.log(story.id, `${story.viewsCount} views`)
  }
}

Get highlights for a user

const [error, highlights] = await account.request(
  "GET /users/:id/stories/highlights",
  { pathParams: { id: "123456789" } },
)

if (!error) {
  for (const highlight of highlights.list) {
    console.log(highlight.title, `${highlight.storiesCount} stories`)
  }
}

Story analytics

Engagement chart

const [error, chart] = await account.request(
  "GET /stories/chart",
  {
    query: { startDate: "2026-01-01", endDate: "2026-03-31" },
  },
)

Top stories

const [error, top] = await account.request("GET /stories/top", {
  query: { period: "month" },
})

if (!error) {
  for (const story of top.list) {
    console.log(story.id, `$${story.tipsAmount} in tips`)
  }
}

Story map

const [error, map] = await account.request("GET /stories/map", {})

Mark a story as watched

const [error] = await account.request(
  "PUT /stories/:id/watched",
  { pathParams: { id: "55555" } },
)

On this page